# JsDoc Reference - Ciform.protocol

Class Index | File Index

## Classes

- _global_
- Ciform
- Ciform.Cipher
- Ciform.ciphers
- Ciform.ciphers.ChainEncoder
- Ciform.ciphers.CiformPacketizer
- Ciform.ciphers.Encoder
- Ciform.ciphers.RSAEncoder
- Ciform.ciphers.RSAPublicKey
- Ciform.ciphers.SHA1Encoder
- Ciform.Field
- Ciform.protocol

# Namespace Ciform.protocol

This namespace contains the constants required for the client to communicate with the server.

Data from the server is served as a literal object indexed with some of those constants.
e.g. `{ 'serverURL':"login.php", 'pubKey':{'type':'rsa', 'e':10000,'pq':24} }`.

The normal behavior is to retrieve the protocol from the server and to compare it to the one of this library, in order to know if they're compatible.

Defined in: ciform.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Ciform.protocol

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | Ciform.protocol.PACKET_PREFIX Prefix to use for a ciform 'packet' to decode : HTTP request parameters beginning with this String will be considered as 'Ciform-encoded' values.
<static> | Ciform.protocol.VERSION Version of the protocol (updated when the protocol changes)

Namespace Detail
Ciform.protocol
Field Detail
<static> {String} Ciform.protocol.PACKET_PREFIX
Prefix to use for a ciform 'packet' to decode : HTTP request parameters beginning with this String will be considered as 'Ciform-encoded' values.

<static> {String} Ciform.protocol.VERSION
Version of the protocol (updated when the protocol changes)

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Feb 06 2012 00:12:49 GMT+0100 (CET)